# Contributing to LCPkg

If you want LCPkg to be better, please read the [Open Source Guides](https://opensource.guide/how-to-contribute/) and the [Code Of Conduct](CODE_OF_CONDUCT.md) first, then continue reading the following.

## Issues

You must complete the Issue content as required by the Issue template, and you should describe the content in a simple and clear way, which helps to reduce the difficulty of understanding.

## Pull Requests

To enable us to quickly review and accept your pull requests, always create one pull request per issue and [link the issue in the pull request](https://github.com/blog/957-introducing-issue-mentions). Never merge multiple requests in one unless they have the same root cause. Be sure to follow our coding style and keep code changes as small as possible. Avoid pure formatting changes to code that has not been modified otherwise. Pull requests should contain tests whenever possible.

### Where to Contribute

Check out the [full issues list](https://github.com/lc-soft/trad/issues) for a list of all potential areas for contributions.

To improve the chances to get a pull request merged you should select an issue that is labelled with the [`help-wanted`](https://github.com/lc-soft/lcpkg/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) or [`bug`](https://github.com/lc-soft/lcpkg/issues?q=is%3Aopen+is%3Aissue+label%3A"bug") labels. If the issue you want to work on is not labelled with help-wanted or bug, you can start a conversation with the issue owner asking whether an external contribution will be considered.

To avoid multiple pull requests resolving the same issue, let others know you are working on it by saying so in a comment.
